de.esprit.netsuite.server.auth

## Class AbstractDatabaseUser<R extends DBRecord>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.DBRecordContainer<R>
      - - de.esprit.appsuite.database.dbase.DBRecordWrapper<R>
        - - de.esprit.netsuite.server.auth.AbstractDatabaseUser<R>

- All Implemented Interfaces:
    DBPersistent, DBRecord, Renderable, DeepCloneable, Dumpable, User, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable
  Direct Known Subclasses:
    DatabaseUser

      public abstract class AbstractDatabaseUser<R extends DBRecord>
      extends DBRecordWrapper<R>
      implements User

  This is a basic implementation of a database user. This class just implements the Renderable interface for a user.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.auth.User

      `CHANGED_TS, COMMENT, CREATED_TS, EMAIL, FORE_NAME, GID, IS_ADMIN, IS_LOCKED, LANGUAGE, LAST_NAME, LOGIN_NAME, PASSWORD, UID, userDocType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDatabaseUser(R dbo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Must compare based on unique userName
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBRecordWrapper

      `clone, compareTo, copy, copyRecordValues, dbDelete, dbInsert, dbLoad, dbLoad, dbRehash, dbSearch, dbSearch, dbSearch, dbSearch, dbSelect, dbSelect, dbUpdate, exists, existsField, getFieldCount, getFieldFullNames, getFieldIcon, getFieldLength, getFieldNames, getForeignKeyRef, getJavaType, getJdbcType, getManagedDBObjects, getMasterRecord, getPrimaryKeyCount, getPrimaryKeyValues, getRecordName, getTranslationAppKey, getValue, hasPrimaryKey, isDirty, isFieldVirtual, isForeignKey, isNotNullField, isPrimaryKey, setPrimaryKeyValues`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBRecordContainer

      `getRecord, hashCode, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.server.auth.User

      `clone, getChangedTimestamp, getComment, getCreatedTimestamp, getEmailAddress, getForeName, getGID, getLanguage, getLastName, getLoginName, getPassword, getUID, getUserId, isAdmin, isLocked, setAdmin, setChangedTimestamp, setComment, setCreatedTimestamp, setEmailAddress, setForeName, setGID, setLanguage, setLastName, setLocked, setLoginName, setPassword, setUID`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### AbstractDatabaseUser

          public AbstractDatabaseUser(R dbo)

  - ### Method Detail

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`
      Overrides:
        `getRenderIcon` in class `DBRecordWrapper<R extends DBRecord>`

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`
      Overrides:
        `getRenderColor` in class `DBRecordWrapper<R extends DBRecord>`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `DBRecordWrapper<R extends DBRecord>`

    - #### equals

          public boolean equals(java.lang.Object o)

      Must compare based on unique userName
      Overrides:
        `equals` in class `DBRecordContainer<R extends DBRecord>`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.